るびきちです。

el4r-0.9.1をリリースしました。
el4rはEmacsLispに加えてRubyでもEmacsを操作するプログラムです。
主にドキュメントのバグ直しです。

前回はインストールコマンドにミスがありました。
すみません。

以下のコマンドでインストールできます。

mkdir -p ~/src ~/.el4r
cd ~/src
ruby -ropen-uri -e 'URI("http://www.rubyist.net/~rubikitch/archive/el4r-0.9.1.tar.gz").read.display' | tar xzvf -
rm -rf el4r
mv el4r-0.9.1 el4r
cp ~/src/el4r/example/el4r-mode.rb ~/.el4r

echo 'el4r_load "el4r-mode.rb"' >> ~/.el4r/init.rb
ruby -e 'fn=File.expand_path("~/.emacs"); org=File.read(fn); open(fn,"w"){|f| f.puts $stdin.read,org} ' <<EOL
(add-to-list 'load-path "~/src/el4r/elisp/")
(require 'el4r)
(el4r-boot)
EOL


るびきち☆
http://www.rubyist.net/~rubikitch/